<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/fragment_give_pull_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.main.GiveFragment">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/gray100"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_view_my_baskets"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="top"
                    android:clickable="true"
                    android:focusable="true"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="2dp"
                    app:cardElevation="4dp"
                    app:cardMaxElevation="4dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="true">

                    <fragment
                        android:id="@+id/fragment_my_baskets"
                        android:name="de.foodsharing.ui.baskets.MyBasketsFragment"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_view_nearby_fsps"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="top"
                    android:clickable="true"
                    android:focusable="true"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="2dp"
                    app:cardElevation="4dp"
                    app:cardMaxElevation="4dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="true">

                    <RelativeLayout
                        android:id="@+id/fragment_nearby_fsps"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />
                    
                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </ScrollView>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/add_basket_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|bottom"
            android:layout_margin="16dp"
            android:orientation="vertical"
            app:srcCompat="@drawable/ic_add" />
    </FrameLayout>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>